
//Title:       Your Product Name
//Version:
//Copyright:   Copyright (c) 1999
//Author:      Giovanni Beltrame
//Company:     Rollercrew
//Description: Your description
package Exp;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class Applet1 extends Applet implements Runnable,ActionListener,ItemListener {

  // Titolo del gioco
  Label titolo = new Label( "Quizzone!" , Label.CENTER );

  // Selettore per le risposte
  CheckboxGroup risposte = new CheckboxGroup();
  Checkbox a = new Checkbox( "Risposta A" , risposte , true );
  Checkbox b = new Checkbox( "Risposta B" , risposte , false );
  Checkbox c = new Checkbox( "Risposta C" , risposte , false );
  Checkbox d = new Checkbox( "Risposta D" , risposte , false );

  // Altro metodo di scelta
  Choice l = new Choice();

  // Area per le domande
  TextArea domanda = new TextArea( "Domanda" , 2 , 40 , TextArea.SCROLLBARS_NONE );

  // Bottone per passare alle prossime domande
  Button next = new Button( "Next" );

  // Counter del punteggio
  int punti = 0;
  int count = 0;

  // Thread del quiz
  Thread test;

  // Domande e risposte
  String[][] dom =
    { {"Quante regioni ci sono in Italia?" , "10" , "29" , "21" , "57" , "C"} ,
      {"Chi  il Presidente della Repubblica" , "Scalfaro" , "Ciampi" , "Stalin" , "Mussolini" , "B" } ,
      {"Chi ha scoperto la penicillina?" , "Roosvelt" , "Churchill" , "Fleming" , "Einstein" , "C" } ,
      {"Che cosa ha inventato Nobel?" , "Il mostro di Frankenstein" , "L'automobile" , "La dinamite" , "La bomba H" , "C"},
      {"In che anno e' stato inventato il Walkman?" , "Ieri" , "1975" , "1963" , "Non esiste" , "B"},
      {"Chi e' il sindaco di Milano?" , "Gabriele Albertini" , "Adiano Palazzi" , "Paolo Pillitteri" , "Mao Tze Tung" , "A"},
      {"Chi disse 'Alea iacta est'?" , "Luciano Rispoli" , "Caio Giulio Cesare" , "Odoacre" , "Romolo Augustolo","B" } };

  //Initialize the applet
  public void init() {
    setLayout( new BorderLayout() );
    aggiorna();

    Panel titoli = new Panel();
    titoli.setLayout( new BorderLayout() );
    titoli.add(domanda,"Center");
    titolo.setFont( new Font( "serif" , Font.BOLD , 30 ));
    titoli.add( titolo , "North");

    Panel risposte = new Panel();
    risposte.setLayout( new GridLayout( 4 , 1 , 5 , 5 ));
    risposte.add(a);
    risposte.add(b);
    risposte.add(c);
    risposte.add(d);

    l.add( "A" );
    l.add( "B" );
    l.add( "C" );
    l.add( "D" );

    l.addItemListener(this);
    next.addActionListener(this);

    add( titoli , "North" );
    add( risposte , "Center" );
    add( next , "South" );
    add( l , "East" );
  }

  //Start the applet
  public void start() {
/*    if( test == null ) {
      test = new Thread(this);
      test.start();
    }              */
  }

  //Stop the applet
  public void stop() {
    test = null;
  }

  public void run() {
/*    Thread me = Thread.currentThread();
    int count = 0;

    while( me == test ) {
      if( count > dom.length ) {
        showResults();
        count = 0;
      }
    } */

  }

  //Destroy the applet
  public void destroy() {
  }

  public void itemStateChanged( ItemEvent e ) {
    if( ((String) e.getItem()).equals("A") ) risposte.setSelectedCheckbox(a);
    else if( ((String) e.getItem()).equals("B") ) risposte.setSelectedCheckbox(b);
    else if( ((String) e.getItem()).equals("C") ) risposte.setSelectedCheckbox(c);
    else if( ((String) e.getItem()).equals("D") ) risposte.setSelectedCheckbox(d);
  }

  public void actionPerformed( ActionEvent e ) {
    if( dom[count][5] == "A" && a.equals(risposte.getSelectedCheckbox()) ) punti++;
    else if( dom[count][5] == "B" && b.equals(risposte.getSelectedCheckbox()) ) punti++;
    else if( dom[count][5] == "C" && c.equals(risposte.getSelectedCheckbox()) ) punti++;
    else if( dom[count][5] == "D" && d.equals(risposte.getSelectedCheckbox()) ) punti++;

    count++;
    if( count > dom.length-1 ) showResults();
    aggiorna();

  }

  public void aggiorna() {
    domanda.setText( dom[count][0] );
    a.setLabel( dom[count][1] );
    b.setLabel( dom[count][2] );
    c.setLabel( dom[count][3] );
    d.setLabel( dom[count][4] );
  }

  public void showResults() {
    final Frame f = new Frame("Risultati");
    Label l = new Label("Hai totalizzato "+punti+" su "+dom.length+"!",Label.CENTER);
    l.setFont( new Font( "Arial" , Font.PLAIN , 18));
    f.setSize(200,200);
    f.setLocation( 300 , 200 );
    f.setLayout( new GridLayout( 1, 1 ) );
    f.add(l);
    f.addWindowListener( new WindowAdapter() {
      public void windowClosing( WindowEvent e ) {
        f.dispose();
      }});
    f.setVisible(true);
    punti = count = 0; aggiorna();
  }


  //Get Applet information
  public String getAppletInfo() {
    return "Esempio AWT";
  }

  //Get parameter info
  public String[][] getParameterInfo() {
    return null;
  }


}