
//Title:        Gravity Wars for Java
//Version:      
//Copyright:    Copyright (c) 1999
//Author:       Giovanni Beltrame
//Company:      Rollercrew
//Description:  Very addictive space game

package GravityWars;

import java.awt.*;
import java.awt.event.*;

public class ParameterFrame extends Frame {

  // Labels e relativi textfields
  Label titolo = new Label();

  TextField gravField = new TextField();
  Label gravity = new Label();

  TextField shipMassField = new TextField();
  Label shipMass = new Label();

  TextField thrustPowerField = new TextField();
  Label thrustPower = new Label();

  TextField backThrustPower = new TextField();
  Label bThrustPowerField = new Label();

  TextField speedField = new TextField();
  Label shipSpeed = new Label();
  public Button ok = new Button();

  public ParameterFrame() {
    try  {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  public void setGravity( double grav ) {
    gravField.setText( String.valueOf( grav ) );
  }

  public void setShipMass( double ship ) {
    shipMassField.setText( String.valueOf( ship ));
  }

  public void setThrustPower( double pow ) {
    thrustPowerField.setText( String.valueOf( pow ) );
  }

  public void setBackThrustPower( double pow ) {
    backThrustPower.setText( String.valueOf( pow ) );
  }

  public void setSpeed( double value ) {
    speedField.setText( String.valueOf(value));
  }

  public double getGravity() {
    return Double.parseDouble(gravField.getText());
  }

  public double getShipMass() {
    return Double.parseDouble(shipMassField.getText());
  }

  public double getThrustPower() {
    return Double.parseDouble(thrustPowerField.getText());
  }

  public double getBackThrustPower() {
    return Double.parseDouble(backThrustPower.getText());
  }

  public double getSpeed() {
    return Double.parseDouble(speedField.getText());
  }

  private void jbInit() throws Exception {
    setLayout( new GridBagLayout() );
    setSize( 300 , 300 );
    this.setLocation( 640 , 0 );

    titolo.setFont(new java.awt.Font("SansSerif", 0, 20));
    titolo.setName("titolo");
    titolo.setAlignment(1);
    titolo.setText("Parametri del gioco");

    this.setName("FinParametri");
    this.setTitle("Finestra Parametri");

    gravField.setName("gravField");
    gravity.setFont(new java.awt.Font("SansSerif", 1, 12));
    gravity.setName("gravity");
    gravity.setAlignment(2);
    gravity.setText("Massa Stella: ");

    shipMassField.setName("shipMassField");
    shipMass.setText("Massa Astronave: ");
    shipMass.setAlignment(Label.RIGHT);
    shipMass.setName("shipMass");
    shipMass.setFont(new java.awt.Font("SansSerif", 1, 12));

    thrustPowerField.setName("thrustPowerField");
    thrustPower.setText("Potenza Motori: ");
    thrustPower.setAlignment(2);
    thrustPower.setName("thrustPower");
    thrustPower.setFont(new java.awt.Font("SansSerif", 1, 12));

    backThrustPower.setName("backThrustPower");
    bThrustPowerField.setFont(new java.awt.Font("SansSerif", 1, 12));
    bThrustPowerField.setName("bThrustPowerField");
    bThrustPowerField.setAlignment(2);
    bThrustPowerField.setText("Potenza Retrorazzi: ");

    speedField.setName("speedField");
    shipSpeed.setFont(new java.awt.Font("SansSerif", 1, 12));
    shipSpeed.setName("shipSpeed");
    shipSpeed.setAlignment(2);
    shipSpeed.setText("Velocit astronave: ");

    ok.setName("ok");
    ok.setActionCommand("ok");
    ok.setLabel("OK");

	GridBagConstraints limiti = new GridBagConstraints();

	// Titolo
	// POS: 0,0
	buildConstraints(limiti , 0, 0, 2, 1, 100.0, 15.0 );
	limiti.fill = GridBagConstraints.NONE;
	limiti.anchor = GridBagConstraints.CENTER;
	this.add(titolo, limiti);

	buildConstraints(limiti,1, 1, 1, 1, 60.0, 14.0);
	limiti.anchor = GridBagConstraints.WEST;
	limiti.fill = GridBagConstraints.HORIZONTAL;
	this.add(gravField, limiti );

	buildConstraints(limiti,0, 1, 1, 1, 0.0, 0.0);
	limiti.anchor = GridBagConstraints.EAST;
	limiti.fill = GridBagConstraints.NONE;
	this.add(gravity, limiti );

	buildConstraints(limiti,1, 2, 1, 1, 0.0, 14.0);
	limiti.anchor = GridBagConstraints.WEST;
	limiti.fill = GridBagConstraints.HORIZONTAL;
	this.add(shipMassField, limiti );

	buildConstraints(limiti,0, 2, 1, 1, 0.0, 0.0);
	limiti.anchor = GridBagConstraints.EAST;
	limiti.fill = GridBagConstraints.NONE;
	this.add(shipMass, limiti );

	buildConstraints(limiti,1, 3, 1, 1, 0.0, 14.0);
	limiti.anchor = GridBagConstraints.WEST;
	limiti.fill = GridBagConstraints.HORIZONTAL;
	this.add(thrustPowerField, limiti );

	buildConstraints(limiti,0, 3, 1, 1, 0.0, 0.0);
	limiti.anchor = GridBagConstraints.EAST;
	limiti.fill = GridBagConstraints.NONE;
	this.add(thrustPower, limiti );

	buildConstraints(limiti,1, 4, 1, 1, 0.0, 14.0);
	limiti.anchor = GridBagConstraints.WEST;
	limiti.fill = GridBagConstraints.HORIZONTAL;
	this.add(backThrustPower, limiti );

	buildConstraints(limiti,0, 4, 1, 1, 0.0, 0.0);
	limiti.anchor = GridBagConstraints.EAST;
	limiti.fill = GridBagConstraints.NONE;
	this.add(bThrustPowerField, limiti );

	buildConstraints(limiti,1, 5, 1, 1, 0.0, 14.0);
	limiti.anchor = GridBagConstraints.WEST;
	limiti.fill = GridBagConstraints.HORIZONTAL;
	this.add(speedField, limiti );

	buildConstraints(limiti,0, 5, 1, 1, 0.0, 0.0);
	limiti.anchor = GridBagConstraints.EAST;
	limiti.fill = GridBagConstraints.NONE;
	this.add(shipSpeed, limiti );

	
	buildConstraints(limiti,0, 6, 2, 1, 100.0, 15.0);
	limiti.anchor = GridBagConstraints.CENTER;
	limiti.fill = GridBagConstraints.NONE;
	this.add(ok, limiti );
	
  }
	
	private void buildConstraints( GridBagConstraints gbc , int gx , int gy , int gw , int gh , double wx , double wy ) {
		gbc.gridx = gx;
		gbc.gridy = gy;
		gbc.gridwidth = gw;
		gbc.gridheight = gh;
		gbc.weightx = wx;
		gbc.weighty = wy;
		gbc.fill = GridBagConstraints.NONE;
		gbc.anchor = GridBagConstraints.CENTER;
	}

  public static void main(String[] args) {
    final ParameterFrame f = new ParameterFrame();
    f.addWindowListener( new WindowAdapter() {
      public void windowClosing( WindowEvent e ){
        f.dispose();
        System.exit(0);
      }});
    f.setVisible(true);
  }
}
